complexType "TradeDifference"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 10 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 10 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | differenceType?, differenceSeverity?, element?, basePath?, baseValue?, otherPath?, otherValue?, missingElement*, extraElement*, message?
</...>

Content Model Elements (10):

  basePath, baseValue, differenceSeverity, differenceType, element, extraElement, message, missingElement, otherPath, otherValue

All Direct / Indirect Based Elements (3):

  difference (defined in ProposedMatch.model group),
  difference (in proposedMatch in nettedTradeCashflowsMatchResult),
  differences

Known Usage Locations

- As direct type of elements (3):
  difference (defined in ProposedMatch.model group),
  difference (in proposedMatch in nettedTradeCashflowsMatchResult),
  differences

Annotation
A type used to record the details of a difference between two business objects/
XML Source (w/o annotations (11); see within schema source)

<xsd:complexType name="TradeDifference"> <xsd:sequence> <xsd:element minOccurs="0" name="differenceType" type="DifferenceTypeEnum"/> <xsd:element minOccurs="0" name="differenceSeverity" type="DifferenceSeverityEnum"/> <xsd:element minOccurs="0" name="element" type="xsd:string"/> <xsd:element minOccurs="0" name="basePath" type="xsd:string"/> <xsd:element minOccurs="0" name="baseValue" type="xsd:string"/> <xsd:element minOccurs="0" name="otherPath" type="xsd:string"/> <xsd:element minOccurs="0" name="otherValue" type="xsd:string"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="missingElement" type="xsd:string"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="extraElement" type="xsd:string"/> <xsd:element minOccurs="0" name="message" type="xsd:string"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 10/10)
basePath

  Type: | xsd:string, predefined, simple content

  XPath to the element in the base object.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="basePath" type="xsd:string"/>

baseValue

  Type: | xsd:string, predefined, simple content

  The value of the element in the base object.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="baseValue" type="xsd:string"/>

differenceSeverity

  Type: | DifferenceSeverityEnum, simple content

  An indication of the severity of the difference.
  Simple Content

  enumeration of xsd:token

  Enumeration: | "Warning", "Error"

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="differenceSeverity" type="DifferenceSeverityEnum"/>

differenceType

  Type: | DifferenceTypeEnum, simple content

  The type of difference that exists.
  Simple Content

  enumeration of xsd:token

  Enumeration: | "Value", "Reference", "Structure", "Scheme"

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="differenceType" type="DifferenceTypeEnum"/>

element

  Type: | xsd:string, predefined, simple content

  The name of the element affected.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="element" type="xsd:string"/>

extraElement

  Type: | xsd:string, predefined, simple content

  Element(s) that are extraneous in the other object.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="extraElement" type="xsd:string"/>

message

  Type: | xsd:string, predefined, simple content

  A human readable description of the problem.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="message" type="xsd:string"/>

missingElement

  Type: | xsd:string, predefined, simple content

  Element(s) that are missing in the other trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="missingElement" type="xsd:string"/>

otherPath

  Type: | xsd:string, predefined, simple content

  XPath to the element in the other object.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="otherPath" type="xsd:string"/>

otherValue

  Type: | xsd:string, predefined, simple content

  Value of the element in the other trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="otherValue" type="xsd:string"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.